SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::PRO Struct Reference

`#include <slikenet/ReplicaManager3.h>`

## Public Member Functions

bool | operator== (const PRO &right) const
bool | operator!= (const PRO &right) const

## Public Attributes

PacketPriority | priority
| Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultPacketPriority().
PacketReliability | reliability
| Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultPacketReliability().
char | orderingChannel
| Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultOrderingChannel().
uint32_t | sendReceipt
| Passed to RakPeerInterface::Send(). Defaults to 0.

## Detailed Description

Definition at line 53 of file ReplicaManager3.h.

## Member Function Documentation

bool SLNet::PRO::operator!= | ( | const PRO & | right | ) | const

bool SLNet::PRO::operator== | ( | const PRO & | right | ) | const

## Member Data Documentation

char SLNet::PRO::orderingChannel

Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultOrderingChannel().

Definition at line 62 of file ReplicaManager3.h.

PacketPriority SLNet::PRO::priority

Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultPacketPriority().

Definition at line 56 of file ReplicaManager3.h.

PacketReliability SLNet::PRO::reliability

Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultPacketReliability().

Definition at line 59 of file ReplicaManager3.h.

uint32_t SLNet::PRO::sendReceipt

Passed to RakPeerInterface::Send(). Defaults to 0.

Definition at line 65 of file ReplicaManager3.h.

The documentation for this struct was generated from the following file:

- Source/include/slikenet/ReplicaManager3.h